=== debian/changelog ===
needrestart (3.5-5ubuntu2.5) jammy; urgency=medium

  * Make stdio noninteractive if DEBIAN_FRONTEND='noninteractive'
    (LP: #2004203)
    - d/p/0001-UI-Make-stdio-noninteractive-if-DEBIAN_FRONTEND-noni.patch:
      Cherrypick of upstream pull request 214
    - Drop d/p/168.patch (upstream pull request 168) which was an
      incomplete fix supersided by PR 214.

 -- Zachary Raines <zachary.raines@canonical.com>  Wed, 10 Sep 2025 19:15:59 +0000

needrestart (3.5-5ubuntu2.4) jammy-security; urgency=medium

  * SECURITY REGRESSION: false positives for killing processes in LXC
    (LP: #2089193)
    - debian/patches/lp2091096/0021-fix-lxc-fp.patch: use the value of exe
      to check for obsolete processes when exec is undefined 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Thu, 05 Dec 2024 17:28:38 +0530

needrestart (3.5-5ubuntu2.3) jammy-security; urgency=medium

  * SECURITY REGRESSION: false positives for killing processes (LP: #2089193)
    - debian/patches/lp2089193/0020-fix-chroot-mountns-fp.patch: ignore check
      for obsolete processes in chrooted or containerized processes

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 26 Nov 2024 10:48:34 +0530

needrestart (3.5-5ubuntu2.2) jammy-security; urgency=medium

  * SECURITY UPDATE: incorrect usage of PYTHONPATH environment variable
    - debian/patches/CVE-2024-48990.patch: chdir to a clean directory 
      to avoid loading arbirary objects, sanitize PYTHONPATH before
      spawning a new python interpreter
    - CVE-2024-48990
  * SECURITY UPDATE: race condition for checking path to python
    - debian/patches/CVE-2024-48991.patch: sync path for both check
      and usage for python interpreter
    - CVE-2024-48991
  * SECURITY UPDATE: incorrect usage of RUBYLIB environment variable
    - debian/patches/CVE-2024-48992.patch: chdir to a clean directory
      to avoid loading arbirary objects, sanitize RUBYLIB before
      spawning a new ruby interpreter
    - CVE-2024-48992
  * SECURITY UPDATE: incorrect usage of Perl ScanDeps
    - debian/patches/CVE-2024-11003.patch: remove usage of ScanDeps
      to avoid parsing arbitrary code
    - CVE-2024-11003 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Mon, 18 Nov 2024 13:51:23 +0530

needrestart (3.5-5ubuntu2.1) jammy-security; urgency=medium

  * SECURITY UPDATE: arbitrary code exec via unanchored regexes
    - debian/patches/CVE-2022-30688.patch: improve regexes in
      perl/lib/NeedRestart/Interp/Perl.pm,
      perl/lib/NeedRestart/Interp/Python.pm,
      perl/lib/NeedRestart/Interp/Ruby.pm.
    - CVE-2022-30688

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 May 2022 07:08:25 -0400

needrestart (3.5-5ubuntu2) jammy; urgency=medium

  * d/p/Jammy-update-to-git*: Update needrestart from git (LP: #1965090)
    - fixes handling with cgroupv2 for docker and lxd (LP: #1964445)
    - adds detection of qemu VMs using outdated libs
    - various minor fixes

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 16 Mar 2022 08:53:23 +0100

needrestart (3.5-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherrypick pull request 168 to ensure that when installing packages
      noninteractively needrestart does not ask questions and operates in
      batch mode.
  * Dropped changes, included in Debian:
    - debian/tests/sanity-test.sh: add a simple sanity autopkgtest checking
      for basic needrestart output and functionality. Closes: #810584

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Nov 2021 13:38:42 -0800

needrestart (3.5-5) unstable; urgency=medium

  * Add patch from Lukasz Zemczak to add and basic autopkgtest.
    Closes: #810584
  * Bump Standards-Version to 4.6.0.
  * Remove again pacman hook configfile.
    Closes: #994407

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 14 Oct 2021 14:23:58 +0200

needrestart (3.5-4ubuntu2) impish; urgency=medium

  * Cherrypick pull request 168 to ensure that when installing packages
    noninteractively needrestart does not ask questions and operates in
    batch mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Jun 2021 09:36:49 +0100

needrestart (3.5-4ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tests/sanity-test.sh: add a simple sanity autopkgtest checking
      for basic needrestart output and functionality. Closes: #810584

 -- Brian Murray <brian@ubuntu.com>  Thu, 20 May 2021 14:25:40 -0700

needrestart (3.5-4) unstable; urgency=medium

  * New source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Apr 2021 10:04:21 +0200

needrestart (3.5-3) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Add stable upstream patch 02-ruby-relative-path to fix detection for ruby
    script started from relative paths.
  * Add stable upstream patch 03-fix-wrong-default-comment to fix comment for
    default value of skip_mapfiles.
  * Add stable upstream patch 04-verbose-and-verbosity-confusion to fix
    verbose/verbosity confusion in needrestart.conf.
  * Add stable upstream patch 05-ignore-nvidia-memfd to ignore memfd used by
    nvidia binary drivers.
  * Add stable upstream patch 06-dont-restart-bluetooth to ignore restarting
    bluetooth by default.
  * Add stable upstream patch 07-runit to add support for runit.
    Closes: #972685

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Apr 2021 11:17:52 +0200

needrestart (3.5-2ubuntu2) hirsute; urgency=medium

  * debian/tests/sanity-test.sh: only check for kernel output when not running
    in a container.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 Mar 2021 12:47:33 +0100

needrestart (3.5-2ubuntu1) hirsute; urgency=medium

  * debian/tests/sanity-test.sh: add a simple sanity autopkgtest checking for
    basic needrestart output and functionality.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 05 Mar 2021 18:01:10 +0100


