=== debian/tests/control ===
Tests: sanity-test.sh
Restrictions: needs-root
Depends: needrestart, dpkg-dev
