=== debian/watch ===
version=4
https://github.com/liske/needrestart/releases \
/liske/needrestart/archive/refs/tags/v(.+)\.tar\.gz
