=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  po-debconf,
  libmodule-find-perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/liske/needrestart
 
@@ -22,9 +22,9 @@
  libmodule-scandeps-perl,
  libterm-readkey-perl,
  libmodule-find-perl,
- binutils,
  xz-utils
-Recommends: libpam-systemd | sysvinit-core
+Recommends: libpam-systemd | sysvinit-core,
+ systemd | libimvirt-perl
 Suggests: needrestart-session | libnotify-bin,
  iucode-tool
 Enhances: intel-microcode
