=== debian/tests/control ===
Tests: sanity-test.sh
Restrictions: needs-root
Depends: needrestart, dpkg-dev

Tests: prompt-reboot.py
Restrictions: needs-root, isolation-machine
Depends: needrestart, tmux, python3-libtmux, gcc, libc6-dev, hello

Tests: prompt-services.py
Restrictions: needs-root
Depends: needrestart, tmux, python3-libtmux
