## needrestart 3.7

=== debian/changelog ===
needrestart (3.7-2) unstable; urgency=medium

  * Patch 02-bash-term-in-posix-shell is not required with 3.7 anymore.
    Closes: #1078654

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 22 Aug 2024 14:03:01 +0200

needrestart (3.7-1) unstable; urgency=medium

  * New upstream release.
    - Drop merged patches 04-vm-detection,
      05-fix-AMD-ucode-checking-in-non-debug-mode,
      06-uCode-fix-uninitialized-value-in-logging-of-processo and
      07-mark-unavailable-firmware-as-CURRENT.
  * Bump Standards-Version to 4.7.0.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Aug 2024 15:00:39 +0200

needrestart (3.6-8) unstable; urgency=medium

  * Merge 3.6-4+deb12u1 changelog.
  * Add patch 08-uninitialized-vars-arm from George Robbert to fix warnings on
    arm and some amd64 systems.
    Closes: #1063719
  * Add patch 09-recognize-versioned-ruby-interpreter from Helmut Grohne to
    detect also versioned ruby interpreters.
    Closes: #1063155
  * Add patch 10-notify-send-timeout from Michał Mirosław to fix a timeout in
    notify-send.
    Closes: #1024426
  * Add patch 11-spelling-error from David Weinehall to fix a spelling error.
    Closes: #1040673

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 03 Apr 2024 10:57:04 +0200

needrestart (3.6-4+deb12u1) bookworm; urgency=medium

  * fix microcode check regression on AMD CPUs (Closes: #1013285)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 15 Nov 2023 15:05:37 -0500
