## needrestart 3.8

=== debian/changelog ===
needrestart (3.8-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Mar 2025 10:10:54 +0100

needrestart (3.8-2) unstable; urgency=medium

  * Rename patch 11-core-fix-regression-of-false-positives-for-processes.
  * Add default overrides for qrtr-ns and rmtfs. Thanks to Arnaud Ferraris.
    Closes: #1095966

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Feb 2025 17:12:27 +0100

needrestart (3.8-1) unstable; urgency=medium

  * Acknowledge all NMUs, thanks for taking care to everyone!
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Dec 2024 11:40:14 +0100

needrestart (3.8-0.1) experimental; urgency=medium

  * New upstream release (Closes: #1087882)
  * Remove patches merged upstream
    - 09-recognize-versioned-ruby-interpreter.diff
    - 11-spelling-error.diff
    - core-prevent-race-condition-on-proc-PID-exec-evaluat.patch
    - interp-chdir-into-empty-directory-to-prevent-python-.patch
    - interp-do-not-set-PYTHONPATH-environment-variable-to.patch
    - interp-do-not-set-RUBYLIB-environment-variable-to-pr.patch
    - interp-drop-usage-of-Module-ScanDeps-to-prevent-LPE.patch
  * 08-uninitialized-vars-arm.diff kept, but rerolled, seems like upstream
    had a different fix, might be unnecessary

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2024 14:28:40 -0500

needrestart (3.7-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Revisit "core: fix regression of false positives for processes running in
    chroot or mountns" with final version upstream

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 28 Nov 2024 23:21:38 +0100

needrestart (3.7-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * core: fix regression of false positives for processes running in chroot or
    mountns (Closes: #1087918, #1088047, #1088012, #1087917, #1087958,
    #1087957)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 27 Nov 2024 20:45:40 +0100

needrestart (3.7-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Address local privilege escalation vulnerabilities from any unprivileged
    user to root (CVE-2024-48990, CVE-2024-48992, CVE-2024-48991,
    CVE-2024-11003):
    - core: prevent race condition on /proc/$PID/exec evaluation
    - interp: do not set PYTHONPATH environment variable to prevent a LPE
    - interp: do not set RUBYLIB environment variable to prevent a LPE
    - interp: chdir into empty directory to prevent python parsing arbitrary
      files
    - interp: drop usage of Module::ScanDeps to prevent LPE
  * debian/control: Drop Depends on libmodule-scandeps-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Nov 2024 20:31:52 +0100

needrestart (3.7-3) unstable; urgency=medium

  * Fix call of runuser in 400-notify-send.
    Closes: #1079666

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Oct 2024 14:02:17 +0200

needrestart (3.6-4+deb12u3) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * core: fix regression of false positives for processes running in chroot or
    mountns (Closes: #1087918, #1088047, #1088012, #1087917, #1087958,
    #1087957)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 02 Dec 2024 20:52:03 +0100

needrestart (3.6-4+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address local privilege escalation vulnerabilities from any unprivileged
    user to root (CVE-2024-48990, CVE-2024-48992, CVE-2024-48991,
    CVE-2024-11003):
    - core: prevent race condition on /proc/$PID/exec evaluation
    - interp: do not set PYTHONPATH environment variable to prevent a LPE
    - interp: do not set RUBYLIB environment variable to prevent a LPE
    - interp: chdir into empty directory to prevent python parsing arbitrary
      files
    - interp: drop usage of Module::ScanDeps to prevent LPE
  * debian/control: Drop Depends on libmodule-scandeps-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Nov 2024 20:51:08 +0100

needrestart (3.5-4+deb11u5) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * core: fix regression of false positives for processes running in chroot or
    mountns (Closes: #1087918, #1088047, #1088012, #1087917, #1087958,
    #1087957)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 02 Dec 2024 21:08:14 +0100

needrestart (3.5-4+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address local privilege escalation vulnerabilities from any unprivileged
    user to root (CVE-2024-48990, CVE-2024-48992, CVE-2024-48991,
    CVE-2024-11003):
    - core: prevent race condition on /proc/$PID/exec evaluation
    - interp: do not set PYTHONPATH environment variable to prevent a LPE
    - interp: do not set RUBYLIB environment variable to prevent a LPE
    - interp: chdir into empty directory to prevent python parsing arbitrary
      files
    - interp: drop usage of Module::ScanDeps to prevent LPE
  * debian/control: Drop Depends on libmodule-scandeps-perl

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Nov 2024 12:33:05 +0100
