=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  libintl-perl,
  libproc-processtable-perl,
  libsort-naturally-perl,
- libmodule-scandeps-perl,
  libterm-readkey-perl,
  libmodule-find-perl,
  xz-utils
