## needrestart 3.9

=== debian/changelog ===
needrestart (3.9-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 11-core-fix-regression.
    - Added override for lxc.
      Closes: #1017417
    - Added override for xrdp.
      Closes: #1030843
    - Print executable in verbose mode.
      Closes: #1042008
  * Bump Standards-Version to 4.7.2.
  * Add apt to build depends.
    Closes: #1098809

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 28 Mar 2025 09:08:16 +0100
