## needrestart 3.10

=== debian/changelog ===
needrestart (3.10-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 12-ignore-qrtr-rmtfs.
    - Add override for systemd-nspawn.
      Closes: #1101553
    - Unbreak systemd-user with dash.
      Closes: #1101551

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Apr 2025 18:30:24 +0200
