=== debian/changelog ===
needrestart (3.11-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112044).
  * Remaining changes:
    - ubuntu-mode, with all subsequent changes squashed together:
      + introduce a specific mode when running as APT hook
        (LP #1987449, LP #2004203, LP #2055433, LP #2055437)
      + Don't touch /run/reboot-required on kernel updates
        (LP #2065863, LP #2068543, LP #2068573)
      + Fix container handling (LP #2084571)
        - make sure containers aren't restarted from APT
      + Restore default behaviour wrt TTY detection
      + d/t:
        - control: add missing libc6-dev dependency, mark tests
          needing VM.
        - explicitly set the debconf frontend.
        - move tests to Tests instead of Test-Command
        - deprecate APIs and runner performance
        - guard against looping when failing
        - move off deprecated python-tmux APIs (LP #2069591)
      + Add some inline documentation for the Ubuntu mode
        (LP #2068573)
    - d/p/ubuntu-avoid-restart-cloud-final.patch: avoid automatic
      restart of cloud-init systemd oneshot services when
      cloud-init invokes apt-get dist-upgrade due to user-data
    - Prevent needrestart restarting itself (LP #2067482)
    - restart exceptions for google-guest-agent service, GH
      runner provisioner, glusterd and keepalived
      (LP #2063442, LP #2067800, LP #2085070, LP #2089155)
    - d/p/lp2085070/0020-ubuntu-avoid-restart-glusterd.patch:
      Add regex to ignore glusterd for automatic restart
    - d/p/lp2089155/0021-ubuntu-avoid-restart-keepalived.patch:
      Add regex to ignore keepalived for automatic restart
  * Dropped changes:
    - d/p/lp2067482: drop part of patch as similar functionality
      was added upstream

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 03 Jun 2025 12:56:06 -0700

needrestart (3.11-1) unstable; urgency=medium

  * New upstream release.
  * Add procps as dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Apr 2025 13:48:01 +0200

needrestart (3.8-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2091347)
  * Drop changes:
    - d/p/CVE-2024-48990.patch: Fixed in 3.7-3.1
    - d/p/CVE-2024-48991.patch: Fixed in 3.7-3.1
    - d/p/CVE-2024-48992.patch: Fixed in 3.7-3.1
    - d/p/CVE-2024-11003.patch: Fixed in 3.7-3.1
    - d/p/lp2084571/*.patch: Fixed in 3.7
  * Remaining changes:
    - ubuntu-mode:
      + introduce a specific mode when running as APT hook
        (LP #1987449, LP #2004203, LP #2055433, LP #2055437)
      + Don't touch /run/reboot-required on kernel updates
        (LP #2065863, LP #2068543, LP #2068573)
      + Fix container handling (LP #2084571)
        - make sure containers aren't restarted from APT
        - Rest of the delta has been resolved upstream
      + Restore default behaviour wrt TTY detection
      + d/t:
        - control: add missing libc6-dev dependency, mark tests
          needing VM.
        - explicitly set the debconf frontend.
        - move tests to Tests instead of Test-Command
        - deprecate APIs and runner performance
        - guard against looping when failing
        - move off deprecated python-tmux APIs (LP #2069591)
      + Add some inline documentation for the Ubuntu mode
        (LP: #2068573)
    - d/p/ubuntu-avoid-restart-cloud-final.patch: avoid automatic
      restart of cloud-init systemd oneshot services when
      cloud-init invokes apt-get dist-upgrade due to user-data
    - Prevent needrestart restarting itself (LP #2067482)
    - restart exceptions for google-guest-agent service, GH
      runner provisioner, glusterd and keepalived
      (LP #2063442, LP #2067800, LP: #2085070, LP: #2089155)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 16 Jan 2025 01:18:11 +0530

needrestart (3.6-8ubuntu7) plucky; urgency=medium

  * Don't restart glusterd automatically (LP: #2085070)
    - d/p/lp2085070/0020-ubuntu-avoid-restart-glusterd.patch:
      Add regex to ignore glusterd and for automatic restart
  * Don't restart keepalived automatically (LP: #2089155)
    - d/p/lp2089155/0021-ubuntu-avoid-restart-keepalived.patch:
      Add regex to ignore keepalived and for automatic restart

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 10 Dec 2024 13:22:02 +0530

needrestart (3.6-8ubuntu6) plucky; urgency=medium

  * SECURITY UPDATE: incorrect usage of PYTHONPATH environment variable
    - debian/patches/CVE-2024-48990.patch: chdir to a clean directory 
      to avoid loading arbirary objects, sanitize PYTHONPATH before
      spawning a new python interpreter
    - CVE-2024-48990
  * SECURITY UPDATE: race condition for checking path to python
    - debian/patches/CVE-2024-48991.patch: sync path for both check
      and usage for python interpreter
    - CVE-2024-48991
  * SECURITY UPDATE: incorrect usage of RUBYLIB environment variable
    - debian/patches/CVE-2024-48992.patch: chdir to a clean directory
      to avoid loading arbirary objects, sanitize RUBYLIB before
      spawning a new ruby interpreter
    - CVE-2024-48992
  * SECURITY UPDATE: incorrect usage of Perl ScanDeps
    - debian/patches/CVE-2024-11003.patch: remove usage of ScanDeps
      to avoid parsing arbitrary code
    - CVE-2024-11003

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Wed, 20 Nov 2024 20:22:52 +0530

needrestart (3.6-8ubuntu5) plucky; urgency=medium

  * Fix container handling (LP: #2084571)
    - d/p/ubuntu-mode.patch: make sure containers aren't restarted from APT
    - d/p/lp2084571/0019-container-fix-always-ignoring-lxc-lxd-instances-regr.patch:
      cherry-picked fix from upstream.

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 15 Oct 2024 17:56:08 +0200

needrestart (3.6-8ubuntu4) oracular; urgency=medium

  * d/tests/*.py: move off deprecated python-tmux APIs (LP: #2069591)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 19 Jun 2024 15:38:22 +0200

needrestart (3.6-8ubuntu3) oracular; urgency=medium


