=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: needrestart
 Section: admin
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
  apt,
  po-debconf,
@@ -21,6 +22,7 @@
  libsort-naturally-perl,
  libterm-readkey-perl,
  libmodule-find-perl,
+ procps,
  xz-utils
 Recommends: libpam-systemd | sysvinit-core,
  systemd | libimvirt-perl
