=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	rm $(CURDIR)/debian/tmp/etc/needrestart/hook.d/30-pacman
