=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,7 @@
 Tests: prompt-services.py
 Restrictions: needs-root
 Depends: needrestart, tmux, python3-libtmux
+
+Tests: self-restart.sh
+Restrictions: needs-root
+Depends: needrestart, dpkg-dev
