=== debian/watch ===
version=4
https://github.com/liske/needrestart/tags .*/v(\d\S+)\.tar\.gz
